# Добавление пакетов для репозитория ALR

## Зависимости

- `go` (1.18+)
- `git`
    - `go install mvdan.cc/sh/v3/cmd/shfmt@latest`

---

## Как протестировать пакет

Чтобы протестировать пакеты, вы можете сначала создать [файл оболочки `alr.sh`](./build-scripts.md), а затем запустить команду `alr build` для сборки локального файла `alr.sh` в пакет для вашего дистрибутива (подробнее о команде `build` [здесь]).(./usage.md#сборка)). Затем вы можете установить этот файл в свой дистрибутив и протестировать его.

## Как отправить пакет

Репозиторий ALR размещен на Github по адресу https://gitea.plemya-x.ru/xpamych/xpamych-alr-repo. В нем есть несколько каталогов, каждый из которых содержит файл "alr.sh`. Чтобы добавить пакет в репозиторий ALR, просто создайте PR с помощью [build script](./build-scripts.md) и поместите его в каталог с тем же именем, что и у пакета.

Как только ваш PR будет объединен, ALR откроет измененный репозиторий, и ваш пакет будет доступен для установки пользователям.
